@import url("https://fonts.googleapis.com/css2?family=DM+Serif+Text:ital@0;1&display=swap");

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: "DM Serif Text", serif;
  outline: none;
  text-decoration: none;
  border: none;
}

/* Blue Theme */

/* :root {
  --bg-color: #081b29;
  --main-color: #00abf0;
  --text-color: #333;
  --second-text-color: #555;
  --white-color: #fff;
  --cover-color: linear-gradient(45deg, #00abf0, #006e9a);
  --page-color: linear-gradient(90deg, #fff, #ddd);
  --border: 0.125rem solid #00abf0;
  --box-shadow: 0 0 0.6rem rgba(0, 0, 0, 0.2);
} */


/* pink theme */

:root {
    --bg-color: #1e1b1e;
    --main-color: #ec4899;
    --text-color: #2e1065;
    --second-text-color: #6b7280;
    --white-color: #fdf2f8;
    --cover-color: linear-gradient(135deg, #ec4899, #be185d);
    --page-color: linear-gradient(90deg, #fdf2f8, #fce7f3);
    --border: 0.125rem solid #ec4899;
    --box-shadow: 0 0.5rem 1rem rgba(28, 25, 23, 0.2);
  }

  /* :root {
    --bg-color: #0f172a;
    --main-color: #7c3aed;
    --text-color: #1e293b;
    --second-text-color: #64748b;
    --white-color: #f8fafc;
    --cover-color: linear-gradient(135deg, #7c3aed, #06b6d4);
    --page-color: linear-gradient(90deg, #f8fafc, #e2e8f0);
    --border: 0.125rem solid #7c3aed;
    --box-shadow: 0 0.5rem 1rem rgba(15, 23, 42, 0.1);
  } */

html {
  font-size: 85%;
}

body {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
  background-color: var(--bg-color);
  color: var(--text-color);
  overflow: hidden;
}

.wrapper {
  position: relative;
  width: 66rem;
  height: 40rem;
  padding: 2rem;
  perspective: 250rem;
  animation: show-animate 2s forwards;
}

@keyframes show-animate {
  0%,
  30% {
    opacity: 0;
    transform: rotate(-20deg);
  }
  100% {
    opacity: 1;
    transform: rotate(0deg);
  }
}

.cover {
  position: absolute;
  width: 50%;
  height: 100%;
  top: 0;
  left: 0;
  background: var(--cover-color);
  box-shadow: var(--box-shadow);
  border-top-left-radius: 0.6rem;
  border-bottom-left-radius: 0.6rem;
  transform-origin: right;
}

.cover.cover-left {
  z-index: -1;
}

.cover.cover-right {
  z-index: 100;
  transition: transform 1s cubic-bezier(0.645, 0.045, 0.355, 1);
}

.cover.cover-right.turn {
  transform: rotateY(180deg);
}

.book {
  position: relative;
  width: 100%;
  height: 100%;
  display: flex;
  perspective: 250rem;
}

.book .book-page {
  position: absolute;
  width: 50%;
  height: 100%;
  background: var(--page-color);
  box-shadow: 0 0 0.6rem rgba(0, 0, 0, 0.1);
  display: flex;
  padding: 2rem;
}

.book-page.page-left {
  box-shadow: -0.6rem 0.6rem 0.6rem rgba(0, 0, 0, 0.1);
}

.profile-page {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

.profile-page img {
  /* max-width: 180px; */
  width: 160px;
  height: 160px;
  object-fit: cover;
  object-position: center center;
  border-radius: 50%;
  border: 0.25rem solid var(--main-color);
  margin-bottom: 0.8rem;
}

.profile-page h1 {
  font-size: 2.7rem;
  line-height: 1;
}

.profile-page h3 {
  font-size: 1.5rem;
  color: var(--main-color);
}

.profile-page .social-media {
  margin: 0.6rem 0 0.8rem;
}

.profile-page .social-media a {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  width: 2.5rem;
  height: 2.5rem;
  background: transparent;
  border: var(--border);
  border-radius: 50%;
  font-size: 1.3rem;
  color: var(--main-color);
  margin: 0 0.2rem;
  transition: 0.5s;
}

.profile-page .social-media a:hover {
  background: var(--main-color);
  color: var(--white-color);
}

.profile-page p {
  text-align: justify;
}

.profile-page .btn-box {
  margin-top: 1.2rem;
}

.btn {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  width: 9.5rem;
  height: 3rem;
  background: var(--main-color);
  border: var(--border);
  border-radius: 0.3rem;
  font-size: 1rem;
  color: var(--white-color);
  font-weight: 500;
  margin: 0 1rem;
  transition: 0.5s;
}

.btn:hover {
  background: transparent;
  color: var(--main-color);
}

.btn-box .btn:nth-child(2) {
  background: transparent;
  color: var(--main-color);
}

.btn-box .btn:nth-child(2):hover {
  background: var(--main-color);
  color: var(--white-color);
}

.book-page.page-right {
  position: absolute;
  right: 0;
  transform-style: preserve-3d;
  transform-origin: left;
  transition: transform 1s cubic-bezier(0.645, 0.045, 0.355, 1);
}

.book-page.page-right.turn {
  transform: rotateY(-180deg);
}

.book-page .page-front,
.book-page .page-back {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: var(--page-color);
  padding: 1.5rem 2rem;
}

.book-page .page-front {
  transform: rotateY(0deg) translateZ(1px);
}

.book-page .page-back {
  transform: rotateY(180deg) translateZ(1px);
}

.title {
  text-align: center;
}

.workeduc-box {
  border-left: var(--border);
}

.workeduc-box .workeduc-content {
  position: relative;
  padding-left: 1.6rem;
  margin-bottom: 0.8rem;
}

.workeduc-box .workeduc-content::before {
  content: "";
  position: absolute;
  top: 0;
  left: -0.65rem;
  width: 1rem;
  height: 1rem;
  background: var(--main-color);
  border-radius: 50%;
}

.workeduc-content .year {
  color: var(--main-color);
}

.workeduc-content .year i {
  margin-right: 0.4rem;
}

.number-page {
  position: absolute;
  bottom: 1.2rem;
  left: 50%;
  transform: translateY(-50%);
}

.nextprev-btn {
  position: absolute;
  bottom: 1.9rem;
  right: 1.5rem;
  width: 0.6rem;
  height: 0.6rem;
  cursor: pointer;
  font-size: 2rem;
  color: var(--second-text-color);
  display: inline-flex;
  justify-content: center;
  align-items: center;
  transition: 0.5;
}

.nextprev-btn:hover {
  color: var(--main-color);
}

.nextprev-btn.back {
  left: 1.5rem;
}

.services-box {
  display: flex;
  flex-wrap: wrap;
  gap: 1rem;
}

.services-box .services-content {
  flex: 1 1 10rem;
  border: var(--border);
  border-radius: 0.5rem;
  padding: 0.6rem 0.4rem 0.8rem;
  text-align: center;
  transition: 0.5s;
}

.services-box .services-content:hover {
  box-shadow: var(--box-shadow);
}

.services-box .services-content i {
  font-size: 2.5rem;
  color: var(--main-color);
}

.services-box .services-content h3 {
  font-size: 1.1rem;
}

.services-box .services-content p {
  margin: 0.2rem 0 0.8rem;
}

.services-box .services-content .btn {
  width: 8rem;
  height: 2.5rem;
}

.skills-box {
  display: flex;
  flex-wrap: wrap;
  gap: 1.5rem;
}

.skills-box .skills-content {
  flex: 1 1 20rem;
}

.skills-content h3 {
  font-size: 1.3rem;
  line-height: 1;
  margin-bottom: 0.6rem;
}

.skills-content .content {
  display: flex;
  flex-wrap: wrap;
  gap: 0.8rem;
}

.skills-content .content span {
  display: inline-flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 6rem;
  height: 5rem;
  border: var(--border);
  border-radius: 0.3rem;
  font-weight: 600;
  transition: 0.3s ease;
}

.skills-content .content span:hover {
  box-shadow: var(--box-shadow);
}

.skills-content .content span i {
  font-size: 3rem;
  color: var(--main-color);
}

.portfolio-box .img-box {
  display: flex;
  width: 100%;
  height: 13rem;
  border: var(--border);
  border-radius: 0.5rem;
  overflow: hidden;
}

.portfolio-box .img-box img {
  width: 100%;
  object-fit: cover;
  transition: 0.5s ease;
}

.portfolio-box .img-box:hover img {
  transform: scale(1.1);
}

.portfolio-box .info-box {
  margin: 1rem 0 1.5rem;
}

.portfolio-box .info-box .info-title {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 1rem;
}

.portfolio-box .info-box .info-title h3 {
  font-size: 1.3rem;
}

.portfolio-box .info-box .info-title a {
  display: flex;
  align-items: center;
  color: var(--main-color);
}

.portfolio-box .info-box .info-title a i {
  margin-left: 0.3rem;
}

.portfolio-box .info-box p:nth-of-type(1) {
  font-weight: 600;
}

.portfolio-box .btn-box {
  display: flex;
  justify-content: center;
}

.portfolio-box .btn-box .btn {
  margin: 0 1.15rem;
}

.contact-box {
  text-align: center;
}

.contact-box .field {
  width: 100%;
  background: transparent;
  border: var(--border);
  border-radius: 0.3rem;
  padding: 0.8rem;
  font-size: 1rem;
  color: var(--text-color);
  margin-bottom: 1.5rem;
}

.contact-box .field::placeholder {
  color: var(--text-color);
}

.contact-box textarea {
  resize: none;
  height: 12rem;
}

.contact-box .btn {
  cursor: pointer;
}

.back-profile {
  position: absolute;
  bottom: 1.2rem;
  right: 2rem;
  width: 2rem;
  height: 2rem;
  background: transparent;
  border: var(--border);
  border-radius: 0.3rem;
  font-size: 1.1rem;
  color: var(--main-color);
  display: inline-flex;
  justify-content: center;
  align-items: center;
  transition: 0.5s;
}

.back-profile:hover {
  background: var(--main-color);
  color: var(--white-color);
}

.back-profile p {
  position: absolute;
  top: 0;
  left: 50%;
  transform: translateX(-50%) scale(0.5);
  font-size: 1rem;
  color: var(--main-color);
  opacity: 0;
  transition: 0.5s;
}

.back-profile:hover p {
  opacity: 1;
  transform: translateX(-50%) scale(1);
  top: -1.8rem;
}
